## class SG_EXPORT osg::ConvexPlanarPolygon

> A class for representing convex clipping volumes made up.

### Public Methods

ConvexPlanarPolygon()
void add(const Vec3& v)
VertexList& getVertexList()
const VertexList& getVertexList() const

### Public Members

typedef std::vector<osg::Vec3> VertexList

### Protected Fields

VertexList _vertexList

## Documentation

> A class for representing convex clipping volumes made up. When adding planes, their normals should point inwards (into the volume)

`ConvexPlanarPolygon()`

`typedef std::vector<osg::Vec3> VertexList`

`void add(const Vec3& v)`

`VertexList& getVertexList()`

`const VertexList& getVertexList() const`

`VertexList _vertexList`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.